Skip to content
Get started

Start payment-provider onboarding

POST/v3/payments/providers/{provider}/connect

Begins connecting your organization to a payment provider (e.g. agentcard). Returns a hosted URL where an admin authorizes the connection; on completion the provider redirects back and Linq stores your connected credentials.

Path ParametersExpand Collapse
provider: string
Body ParametersJSONExpand Collapse
return_url: string

Where to send the admin after they authorize the connection.

ReturnsExpand Collapse
hosted_url: optional string

Send the admin here to authorize the connection.

session_id: optional string
status: optional string

Start payment-provider onboarding

curl https://api.linqapp.com/api/partner/v3/payments/providers/$PROVIDER/connect \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LINQ_API_V3_API_KEY" \
    -d '{
          "return_url": "https://partner.example/settings/payments"
        }'
{
  "hosted_url": "https://app.agentcard.sh/connect-platform/tok_abc",
  "session_id": "pcs_9f2a",
  "status": "pending"
}
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token",
    "doc_url": "https://docs.linqapp.com/error/codes/2xxx/2004/"
  },
  "success": false
}
{
  "error": {
    "status": 403,
    "code": 2005,
    "message": "Access denied - insufficient permissions for this resource",
    "doc_url": "https://docs.linqapp.com/error/codes/2xxx/2005/"
  },
  "success": false
}
{
  "error": {
    "status": 404,
    "code": 2001,
    "message": "Resource not found",
    "doc_url": "https://docs.linqapp.com/error/codes/2xxx/2001/"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error",
    "doc_url": "https://docs.linqapp.com/error/codes/3xxx/3006/"
  },
  "success": false
}
Returns Examples
{
  "hosted_url": "https://app.agentcard.sh/connect-platform/tok_abc",
  "session_id": "pcs_9f2a",
  "status": "pending"
}
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token",
    "doc_url": "https://docs.linqapp.com/error/codes/2xxx/2004/"
  },
  "success": false
}
{
  "error": {
    "status": 403,
    "code": 2005,
    "message": "Access denied - insufficient permissions for this resource",
    "doc_url": "https://docs.linqapp.com/error/codes/2xxx/2005/"
  },
  "success": false
}
{
  "error": {
    "status": 404,
    "code": 2001,
    "message": "Resource not found",
    "doc_url": "https://docs.linqapp.com/error/codes/2xxx/2001/"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error",
    "doc_url": "https://docs.linqapp.com/error/codes/3xxx/3006/"
  },
  "success": false
}